Skip to main content
POST
https://ageneral.ai
/
v1
/
projects
/
{project_id}
/
keys
Create key
curl --request POST \
  --url https://ageneral.ai/v1/projects/{project_id}/keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": "<string>",
  "name": "<string>"
}
'
{
  "key": {
    "id": "<string>",
    "projectId": "<string>",
    "userId": "<string>",
    "name": "<string>",
    "keyId": "<string>",
    "keyValue": "<string>",
    "createdAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Ageneral session JWT. Obtain through web sign-in or extension OAuth.

Path Parameters

project_id
string
required

Body

application/json
projectId
string
required
name
string
required

Response

Success

key
object